
<script language="javascript">

function pon_prefijo() {
	parent.document.getElementById("form_busqueda").submit();
	parent.document.getElementById('bloquea').style.display='none';
}



</script>

<?php
include ("../conexion.php");
include ("../funciones/fechas.php");
 date_default_timezone_set('America/Costa_Rica');
$consulta1 = "DELETE FROM cartera_cxc ";  ////// Limpia la tabla cartera_cxc
$mysqli->query($consulta1);


$fechainicio=$_GET["fechainicio"];
$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 

echo $tipo=$_GET["tipo"];

   $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $tazint =  $row_para["INTMOR"];
	   
	   
	
$where="1=1";
if ($tipo <> "") { $where.=" AND modpro='$tipo'"; }   


//////////////   seleciona la tabla cxc (2101) 

				 
$sel_resultado="SELECT * FROM web_2101 WHERE salact > 0 and  ". $where ;
	  

   
if ($resultado = $mysqli->query($sel_resultado)) 

 
    while ($fila = $resultado->fetch_assoc()) {

        $fecfac = $fila["FECFAC"];
		$fecfactura     = implode("-", array_reverse(explode("-", $fecfac)));
		$fecven = $fila["FECVEN"];
		$fecvencimiento = implode("-", array_reverse(explode("-", $fecven)));
        $numfac = $fila["NUMFAC"];
        $salact = $fila["SALACT"];
        $totnet = $fila["TOTNET"];
		$cdgcli = $fila["CDGCLI"];
		$dsccli = $fila["DSCCLI"];
		$modpro = $fila["MODPRO"];
	 
	  $clientes = "SELECT ESTCLI FROM web_0301  where cdgcli = '$cdgcli' ";
	  
	  
	  
	  

   
       $result_clientes = $mysqli->query($clientes);
       $row_clientes = $result_clientes->fetch_array();
     
	   $estcli =  $row_clientes["ESTCLI"];
	   $estcli = substr($estcli,0,3);
	   		 
				 
				 $segundos=strtotime($fechainicio) - strtotime($fecven);  ///calcula los dias de vencimiento
				 $diaven=intval($segundos/60/60/24);	
				 
				 
	 
	
		if 	($diaven  > 0 ) {         //////  calcula los intereses segun los dias de vencimiento 
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$intmor=$saldo*$diaven;
		} else {
		$intmor=0;

	}
				//////////////  Asigna el saldo pendiente segun la categoria de vencimiento //////// 
				
				
				
				//    cambio version   8.0.2 se igualan a 0 las variables
				 
		if($diaven <= 0 ){         
			$al_dia=$salact;
			$d0_15=0;
			$d15_30=0;
			$d30_60=0;
			$d60_90=0;
			$d90_mas=0;

			}
			elseif(($diaven > 0) && ($diaven <= 15)) {
			$al_dia=0;
			$d0_15=$salact;
			$d15_30=0;
			$d30_60=0;
			$d60_90=0;
			$d90_mas=0;
			}
			elseif(($diaven > 15) && ($diaven <= 30)) {
			$al_dia=0;
			$d0_15=0;
			$d15_30=$salact;
			$d30_60=0;
			$d60_90=0;
			$d90_mas=0;
			
			}
			elseif(($diaven > 30) && ($diaven <= 60)) {
			$al_dia=0;
			$d0_15=0;
			$d15_30=0;
			$d30_60=$salact;
			$d60_90=0;
			$d90_mas=0;
			}
			elseif(($diaven > 60) && ($diaven <= 90)) {
			$al_dia=0;
			$d0_15=0;
			$d15_30=0;
			$d30_60=0;
			$d60_90=$salact;
			$d90_mas=0;
	
		}else{
			$al_dia=0;
			$d0_15=0;
			$d15_30=0;
			$d30_60=0;
			$d60_90=0;
			$d90_mas=$salact;
		}
			$salven= $d0_15+ $d15_30 + $d30_60 + $d60_90 + $d90_mas	;
			 
		  $contador++;		

			

				 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar="INSERT INTO cartera_cxc (numfac,dsccli,cdgcli,fecfac,fecven,salact,totnet,diaven, al_dia,salven, 0_15, 15_30, 30_60, 60_90, 90_mas, feccal, intmor, modpro , estcli) VALUES 
		('$numfac','$dsccli','$cdgcli','$fecfac','$fecven','$salact','$totnet','$diaven','$al_dia','$salven','$d0_15','$d15_30','$d30_60','$d60_90','$d90_mas','$fechainicio','$intmor', '$modpro' , '$estcli')";
		

   
   
$mysqli->query($sel_insertar);	
	
			}	

	$consulta2="SELECT 	cdgcli,dsccli, sum(al_dia) as al_dia , sum(0_15) as 0_15, sum(15_30) as 15_30, sum(30_60) as 30_60 , sum(60_90) as 60_90  , sum(90_mas) as 90_mas , sum(intmor) as intmor, sum(salven) as salven FROM cartera_cxc   GROUP BY cdgcli ORDER BY dsccli ASC " ;


if ($resultado2 = $mysqli->query($consulta2)) 

 
    while ($fila = $resultado2->fetch_assoc()) {
        $al_dia  = $fila["al_dia"];
        $d0_15   = $fila["0_15"];
		$d15_30  = $fila["15_30"];
		$d30_60  = $fila["30_60"];
        $d60_90  = $fila["60_90"];
        $d90_mas = $fila["90_mas"];
        $salven  = $fila["salven"];
        $intmor  = $fila["intmor"];
		$salpag  = $salven+$al_dia+$intmor;
	    $salact  = $salven+$al_dia;
		$cdgcli  = $fila["cdgcli"];
		$cdgcli  = sprintf("%06d",$cdgcli); 
		$dsccli  = $fila["dsccli"];
		$cdgcli2  = $fila["cdgcli"];
	
		  $clientes = "SELECT ESTCLI FROM web_0301  where cdgcli = '$cdgcli' ";
       $result_clientes = $mysqli->query($clientes);
       $row_clientes = $result_clientes->fetch_array();
     
	   $estcli =  $row_clientes["ESTCLI"];
	   $estcli = substr($estcli,0,3);
	   
	   

			$sel_select="SELECT * FROM seguimientos WHERE codseg = (SELECT MAX(`codseg`) FROM seguimientos WHERE cdgcli = '$cdgcli2' )";
			$result_seguimientos = $mysqli->query($sel_select);
			$row_segui = $result_seguimientos->fetch_array();
			$fecsegprox =  $row_segui["fecsegprox"];
			




				
				$delete = "DELETE FROM cartera_cxc WHERE cdgcli =  $cdgcli ";  ////// Limpia la tabla cartera_cxc
				$mysqli->query($delete);	
			
			
		
		$sel_insertar2="INSERT INTO cartera_cxc (dsccli,cdgcli, al_dia,salven, 0_15, 15_30, 30_60, 60_90, 90_mas, feccal, intmor , modpro, estcli,fecsegprox) VALUES 
		('$dsccli','$cdgcli','$al_dia','$salven','$d0_15','$d15_30','$d30_60','$d60_90','$d90_mas','$fechainicio','$intmor' ,'$modpro' ,'$estcli','')";
		$mysqli->query($sel_insertar2);		
		
		
		
		$hoy = date("Y-m-d");
					
					 

	
		
		if ( $salven <= 0 ){
		
			$query="UPDATE cartera_cxc SET fecsegprox='' WHERE cdgcli='$cdgcli'";
			$mysqli->query($query);		
			
			}

	

	
			else if ( $salven > 0 ){
							 			
			//else if ( $salven > 0  ) {
			
			$query="UPDATE cartera_cxc SET fecsegprox='$hoy'  WHERE cdgcli='$cdgcli'";
			$mysqli->query($query);	
			


			}
			

			
			
			
			
			$fecha_actual = date("Y-m-d");
			$fecha_actual = strtotime($fecha_actual); 
			$fecsegprox2 = strtotime($fecsegprox);
			
			
			
			
			 if ($fecsegprox2 ==""){$fecsegprox2 =0;}
			 
		 

		     else if  ($fecsegprox2 < $fecha_actual){
			 
			 
				
			$query="UPDATE cartera_cxc SET fecsegprox='$hoy' WHERE cdgcli='$cdgcli'";
			$mysqli->query($query);	
			
						


			}
			
			
			
			 else if ( ($salven > 0) && ($fecsegprox2 > $fecha_actual) ){
			 
			 
			 $query="UPDATE cartera_cxc SET fecsegprox='$fecsegprox' WHERE cdgcli='$cdgcli'";
			$mysqli->query($query);	
			

			 }
			 
			 
			 

			
	 	
		 $contador++;
				 
		}

?>


	<script>
		parent.document.getElementById("form_busqueda").submit();
		parent.document.getElementById('bloquea').style.display='none';
   </script> 


